<?php
function fkoneksi(){
$koneksi = mysqli_connect("localhost","root","","db_pembukuan");
if (mysqli_connect_errno()) {
  echo "Failed to connect to MySQL: " . mysqli_connect_error();
  exit();
} 
return $koneksi;
}

function cek_userpass($username,$password){
	$koneksi=fkoneksi();
// menyeleksi data admin dengan username dan password yang sesuai
$data = mysqli_query($koneksi,"select * from tbl_admin where username='$username' and password='$password'");
 // menghitung jumlah data yang ditemukan
$cek = mysqli_num_rows($data);
return $cek;
}


function cek_jumbukuOpen(){
$st_buku="OPEN";	
$koneksi=fkoneksi();
$data_barang = mysqli_query($koneksi,"SELECT * FROM tbl_buku where status='$st_buku'");
$jumlah_barang = mysqli_num_rows($data_barang);
mysqli_close($koneksi);
return $jumlah_barang; 
}

function baca_dataPembukuan(){
$koneksi=fkoneksi();
$data_barang = mysqli_query($koneksi,"SELECT * FROM tbl_buku");
$jumlah_barang = mysqli_num_rows($data_barang);
return $jumlah_barang; 
}

function  baca_jumpembukuan(){
$koneksi=fkoneksi();
$data_barang = mysqli_query($koneksi,"SELECT * FROM tbl_buku");
$jumlah_barang = mysqli_num_rows($data_barang);
return $jumlah_barang ;
}

function  cek_jumBulanTahun($bl,$th){
$koneksi=fkoneksi();
$data_barang = mysqli_query($koneksi,"SELECT * FROM tbl_buku where bulan='$bl' and tahun='$th'");
$jumlah_barang = mysqli_num_rows($data_barang);
return $jumlah_barang ;
}

function cek_BulanTahunOpen($bl,$th){
$koneksi=fkoneksi();
$data_barang = mysqli_query($koneksi,"SELECT * FROM tbl_buku where bulan='$bl' and tahun='$th' and status='OPEN'");
$jumlah_barang = mysqli_num_rows($data_barang);
return $jumlah_barang ;	
}

function cek_BulanTahunClose($bl,$th){
$koneksi=fkoneksi();
$data_barang = mysqli_query($koneksi,"SELECT * FROM tbl_buku where bulan='$bl' and tahun='$th' and status='CLOSE'");
$jumlah_barang = mysqli_num_rows($data_barang);
return $jumlah_barang ;	
}




function  baca_pembukuan(){
$koneksi=fkoneksi();
$data_barang = mysqli_query($koneksi,"SELECT * FROM tbl_buku");
return $data_barang ;
}


?>
